<?php
////////////////////////////////////////////////////////////////////////
// Breeze Website Builder
// Copyright EB Dynamics, Inc., Edward Lemmers, P.E.
// For licensing, see license.txt.
// Completely re-engineered: 12/17/2010	ELL
// Revised: 1/9/2011	ELL
// Added ability to work with multiple JavaScript menus.
// Revised: 10/11/2011	ELL
// Added ability to handle URL unfriendly characters in menu-item text.
// Revised: 11/4/2011	ELL
// Discovered that menu_item class was missing . and added it.
// Revised: 2/10/2012	ELL
// Added table prefix handling.
// Revised: 3/1/2012	ELL
// Adding trimming of spaces to keep indent spaces from adding up and making display look whacky while editing.
// 
//
//

	include ("check_session.php");
	include("lib/unescape_url.php");

	$menu = $_POST['menu'];
	$cnt = $_POST['cnt'];

	// Build item arrays from POST variables.
	$suffix = substr($menu, 4);
	$menu_items_table = "menu"  . $suffix . "_items";
	$menu_item_classes_table = "menu"  . $suffix . "_item_classes";
	
	for ($i = 0; $i < $cnt; $i++)
	{
		$item_text_str = "item_text" . $i;
		$level_str = "level" . $i;
		$URL_str = "URL" . $i;
		$target_str = "target" . $i;
		
		$item_text[$i] = $_POST[$item_text_str];
		$item_text[$i] = trim(UnescapeURL($item_text[$i]));
		$level[$i] = $_POST[$level_str];
		$URL[$i] = trim($_POST[$URL_str]);
		$target[$i] = $_POST[$target_str];
		$sort_order[$i] = 10 * ($i + 1);
	}
	
	//Start by deleting all old data in table.
	$query = "TRUNCATE TABLE " . BWB_TABLE_PREFIX . $menu_items_table;
	$result = mysql_query($query, $bwb_link);
	
	$query = "TRUNCATE TABLE " . BWB_TABLE_PREFIX . $menu_item_classes_table;
	$result = mysql_query($query, $bwb_link);
	
	//Insert new data into table.
	for ($j = 0; $j < $i; $j++)
	{
		$item_text[$j] = str_replace("'", "&#39;", $item_text[$j]);
		$item_text[$j] = str_replace("\"", "&quot;", $item_text[$j]);
		$level[$j]=addslashes($level[$j]);
		$URL[$j]=addslashes($URL[$j]);
		$target[$j]=addslashes($target[$j]);
		$k = $j + 1;
		$item_class = ".menu" . $suffix . "_item" . $k;
		$item_class_hover = $item_class . ":hover";
		$item_class_active = $item_class . ":active";
		$description = $item_text[$j];
		$description_hover = $description . " (Hover)";
		$description_active = $description . " (Active)";
		
		$nid = $j + 1;
		$query = "INSERT INTO " . BWB_TABLE_PREFIX . $menu_items_table . " (ID, item_text, level, URL, target, sort_order) VALUES('".$nid."','".$item_text[$j]."','".$level[$j]."','".$URL[$j]."','".$target[$j]."','".$sort_order[$j]."')";
		$result = mysql_query($query, $bwb_link);
//		$debug .= $query . "<br><br>";
		
		$query = "INSERT INTO " . BWB_TABLE_PREFIX . $menu_item_classes_table . " (class, description, sort_order, subclass_sort_order, custom) VALUES('".$item_class."','".$description."',".$j.",0,0)";
		$result = mysql_query($query, $bwb_link);
		
		$query = "INSERT INTO " . BWB_TABLE_PREFIX . $menu_item_classes_table . " (class, description, sort_order, subclass_sort_order, custom) VALUES('".$item_class_hover."','".$description_hover."',".$j.",0,0)";
		$result = mysql_query($query, $bwb_link);
		
		$query = "INSERT INTO " . BWB_TABLE_PREFIX . $menu_item_classes_table . " (class, description, sort_order, subclass_sort_order, custom) VALUES('".$item_class_active."','".$description_active."',".$j.",0,0)";
		$result = mysql_query($query, $bwb_link);
	}
	
	////////////////////////////////////////////////////////////
	// Re-write menu_items.js with new references.
	$query = "SELECT * FROM " . BWB_TABLE_PREFIX . "menus WHERE menu_name = '$menu'";
	$result = mysql_query($query, $bwb_link);
	$row = $row = mysql_fetch_array($result);
	$menu_type = $row['menu_type'];
	if ($menu_type == 1)
		include("save_menu_items_file.php");
	// Re-write sitemap.xml for web crawlers.
	include("generate_site_map.php");
	
//	echo $debug;
	header("Location: populate_menu_items.php?menu=$menu");

?>
