<?php
////////////////////////////////////////////////////////////////////////
// Breeze Website Builder
// Copyright EB Dynamics, Inc., Edward Lemmers, P.E.
// For licensing, see license.txt.
// Created: 3/11/10	ELL
// Revised: 9/27/2010 ELL
// Added mode follow-thru such that returning to main menu after editing pages, border areas, or creating pages brings up the same mode in the main menu.
// Revised: 11/13/2010 ELL
// Added passing of $link resource to GetBorderContent() function.
// Revised: 11/20/2011	ELL
// Added preview flag back in for returning to editor without saving changes such that content will be pulled from page data record rather than 
// being inadvertently obliterated because $sValue has not been set.
// Revised: 1/12/2/12	ELL
// Revised verbage to accomodate new upgrade for save to draft mode with publish as separate distinction.
// Revised: 2/8/2012	ELL
// Added table prefix handling.  Added references to website files, images, CSS, scripts, media and Flash folder configurations.
// Revised: 7/10/2012	ELL
// Added handling of blogging.
// 
// 

	include ("check_session.php");
		
	$page_name = $_REQUEST['page_name'];
	$special = $_REQUEST['special'];	//Flag to tell if editing special page (header, footer, side panel...).
	$mode = $_REQUEST['mode'];
	$blog_id = $_REQUEST['blog_id'];
		
	$query = "SELECT * FROM " . BWB_TABLE_PREFIX . "page_cache WHERE id = 1";	
	$result = mysql_query($query, $bwb_link);
	$row = mysql_fetch_array($result);
	$sValue = $row["tmp_page_data"];
	
	if ($mode == "blog")
	{
		$query = "SELECT * FROM " . BWB_TABLE_PREFIX . "page_data WHERE page_name = '" . $page_name . "'";	
		$result = mysql_query($query, $bwb_link);
		$row = mysql_fetch_array($result);
		$sValue .= $row["page_content"];
	}
	
	if (BWB_BASE_DIR == '')
		$userfiles_path = '';
	else
		$userfiles_path = "/" . BWB_BASE_DIR;
		
	if (BWB_WEBPAGE_DIR == '')
	{
		$website_path = $userfiles_path;
		$rel_path = '';
	}
	else
	{
		$website_path = $userfiles_path . "/" . BWB_WEBPAGE_DIR;
		$rel_path = '../';
	}
	
	$menu_generator_path = ".." . $userfiles_path . "/" . BWB_SCRIPTS_DIR . "/menu_generator.php";
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Breeze Website Builder</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="shortcut icon" href="images/favicon.ico" type="image/x-icon">
<?php
	$query = "SELECT * FROM " . BWB_TABLE_PREFIX . "style_sheets ORDER BY sort_order";
	$result = mysql_query($query, $bwb_link);
	while ($row = mysql_fetch_array($result))
	{
		$name = $row["name"];
		echo "<link rel=\"stylesheet\" href=\".." . $userfiles_path . "/" . BWB_CSS_DIR . "/" . $name . ".css\" type=\"text/css\">\n";
	}
?>
<style>
 #help_button_sm	{
	position:inherit;
	width:30px;
	height:28px;
	background-image:url(images/HelpIcon_xsm.png);
}

#help	{
	display:none;
	position:absolute;
	top:100px;
	left:100px;
	background-color:#FFF;
	padding:10px;
	border:thick;
	border-style:outset;
	border-color:#060;
}

#help_iframe	{
	width:500px;
	height:500px;
}
</style>
<script language="javascript" type="text/javascript">
	function OpenHelpWindow()
	{
		window.open("http://breezewebsitebuilder.com/docs/cms/help.html#preview_page", "Help", "scrollbars=1,resizable=1,status=0,toolbar=0,menubar=0,location=0,height=700,width=800");
	}
</script>
</head>

<body>

<?php

	echo "<b>Page Name: $page_name</b><br>";
	echo "<hr>\n";
	
	// If border area, find a host page to use for display.
	if ($special == 1)
	{
		$query = "SELECT page_name FROM " . BWB_TABLE_PREFIX . "page_data";
		$result = mysql_query($query, $bwb_link);
		$page_found = false;
		while($row = mysql_fetch_array($result))
		{
			$host_page_name = $row["page_name"];	
			/////////////////////////////////////////
			//Test to see if file already exists.
			$document_root = $_SERVER['DOCUMENT_ROOT'];
			$file_name = $document_root . $website_path . "/" . $host_page_name . ".php";
			if (!file_exists($file_name))
				continue;	// Somehow file not found.  Just go find another one.
				
			// Read file.
			$fh = fopen($file_name, 'r') or die("Can't read $file_name: $php_errormsg");
			$contents = fread($fh, filesize($file_name));
			fclose($fh) or die($php_errormsg);
		
			$search_str = "page_name='$page_name'";
			
			$pos = strpos($contents, $search_str, 1);
			if ($start_pos !== false)
			{
				$page_found = true;
				break;	// Found this border area in this file.  Use this file.
			}
		}
		if (!$page_found)
			echo "Oops!  This border area is not used is any pages.  We need to display content of just this border area.";
			
		$fst_chr = substr($page_name, 0, 1);
		if ($fst_chr == "t")
			$border_type = "top";
		elseif ($fst_chr == "l")
			$border_type = "left";
		elseif ($fst_chr == "r")
			$border_type = "right";
		elseif ($fst_chr == "b")
			$border_type = "bottom";
	}
	// If normal page content, then go get that page.
	elseif ($special != 1)	// Page content
	{
		//Test to see if file already exists.
		$document_root = $_SERVER['DOCUMENT_ROOT'];
		$file_name = $document_root . $website_path . "/" . $page_name . ".php";
		if (!file_exists($file_name))
		{
			echo "Error: $file_name does not exists.  Click <a href=\"manage_special.php\" title=\"here\">here</a> to return to the area assignment page.";
			exit;
		}
		
		// Read file.
		$fh = fopen($file_name, 'r') or die("Can't read $file_name: $php_errormsg");
		$contents = fread($fh, filesize($file_name));
		fclose($fh) or die($php_errormsg);
	}
	
	// Remove <body> and everything before from page template.
	$contents_arr = explode('<body>', $contents, 2);
	$page_content = $contents_arr[1];
	unset($contents_arr);
	
	// Figure out which template the page was built upon.
	$top_pos = strpos($page_content, "<?php echo \$top");
	$left_pos = strpos($page_content, "<?php echo \$left");
	$right_pos = strpos($page_content, "<?php echo \$right");
	$bottom_pos = strpos($page_content, "<?php echo \$bottom");
	
	$template = "unknown";
	if (($top_pos === false) && ($left_pos === false) && ($right_pos === false) && ($bottom_pos === false))
		$template = "basic";
	elseif (($top_pos !== false) && ($left_pos === false) && ($right_pos === false) && ($bottom_pos === false))
		$template = "top";
	elseif (($top_pos !== false) && ($left_pos === false) && ($right_pos === false) && ($bottom_pos !== false))
		$template = "top_bottom";
	elseif (($top_pos !== false) && ($left_pos !== false) && ($right_pos === false) && ($bottom_pos !== false))
		$template = "top_bottom_left";
	elseif (($top_pos !== false) && ($left_pos !== false) && ($right_pos === false) && ($bottom_pos === false))
		$template = "top_left";
	elseif (($top_pos !== false) && ($left_pos !== false) && ($right_pos !== false) && ($bottom_pos === false))
		$template = "top_left_right";
	elseif (($top_pos === false) && ($left_pos !== false) && ($right_pos === false) && ($bottom_pos === false))
		$template = "left";
	elseif (($top_pos !== false) && ($left_pos !== false) && ($right_pos !== false) && ($bottom_pos !== false))
	{
		if ($top_pos > $left_pos)
			$template = "top_bottom_left_right_alt";
		elseif ($right_pos < $bottom_pos)
			$template = "top_bottom_left_right";
		else
			$template = "top_bottom_left_right_alt2";
	}
	if ($template == "unknown")
	{
		echo "Page was created using unknown template.  Defaulting to top_bottom_left_right template for preview.";
		$template = "top_bottom_left_right";
	}

    ///////////////////////////////////////////////////////////////////////////////
	//////// top_bottom_left_right ////////////////////////////////////////////////
	if ($template == "top_bottom_left_right")
	{
		// Find top border area and get actual top, i.e. top, top1, top2, etc.
		$pos = strpos($page_content, "<?php echo \$top");
		$border_suffix = substr($page_content, $pos + strlen("<?php echo \$top"), 1);
		if ($border_suffix == ";")
			$top_border_page = "top";
		else
			$top_border_page = "top" . $border_suffix;

		// Get top boder content.
		$top = GetBorderContent($top_border_page, $bwb_link);

		// Split content into front and back.  Front includes everything before top border area content.  Back still needs to be processed.
		$contents_arr = explode("<?php echo \$top", $page_content, 2);
		$page_content_front = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);

		// Remove trailing php end tag from back.
		$page_content_back = substr($page_content_back, 4);
		
		// Remove menu generator from beginning of back.
		$tmp_str = "<?php \$border_area = \"" . $top_border_page . "\"; include (\$menu_script_path); ?>";
		$page_content_back = str_replace($tmp_str, "", $page_content_back);
		
		// Find left border area and get actual left, i.e. left, left1, left2, etc.
		$pos = strpos($page_content_back, "<?php echo \$left");
		$border_suffix = substr($page_content_back, $pos + strlen("<?php echo \$left"), 1);
		if ($border_suffix == ";")
			$left_border_page = "left";
		else
			$left_border_page = "left" . $border_suffix;
			
		// Get left boder content.
		$left = GetBorderContent($left_border_page, $bwb_link);
		
		// Split mid1 from back.
		$tmp_str = "<?php \$border_area = \"" . $left_border_page . "\"; include (\$menu_script_path); ?>";
		$contents_arr = explode($tmp_str, $page_content_back, 2);
		$page_content_mid1 = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		$tmp_str = "<?php echo \$" . $left_border_page . "; ?>";
		$page_content_back = str_replace($tmp_str, "", $page_content_back);

		// Find code before and after content area.
		$contents_arr = explode("echo \$page_content_arr[0];", $page_content_back, 2);
		$page_content_mid2 = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		$page_content_mid2 = str_replace("<?php", "", $page_content_mid2);
		// Note: At this point $page_content_back begins with php end tag which will need to be removed.
		$pos = strpos($page_content_back, "?>");
		if ($pos < 6)
			$page_content_back = substr($page_content_back, $pos + 3);

		
		// Repeat for part that follows PHP code plugin.
		$contents_arr = explode("echo \$page_content_arr[1];", $page_content_back, 2);
		$page_content_php_code = $contents_arr[0];	// Can't use this since just echoing string.  Maybe later...
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		
		// Find right border area and get actual right, i.e. right, right1, right2, etc.
		$pos = strpos($page_content_back, "<?php echo \$right");
		$border_suffix = substr($page_content_back, $pos + strlen("<?php echo \$right"), 1);
		if ($border_suffix == ";")
			$right_border_page = "right";
		else
			$right_border_page = "right" . $border_suffix;
		// Get right boder content.
		$right = GetBorderContent($right_border_page, $bwb_link);
		
		// Split mid3 from back.
		$tmp_str = "<?php \$border_area = \"" . $right_border_page . "\"; include (\$menu_script_path); ?>";
		$contents_arr = explode($tmp_str, $page_content_back, 2);
		$page_content_mid3 = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		$page_content_mid3 = str_replace("?>", "", $page_content_mid3);
		$tmp_str = "<?php echo \$" . $right_border_page . "; ?>";
		$page_content_back = str_replace($tmp_str, "", $page_content_back);
		
		// Find bottom border area and get actual bottom, i.e. bottom, bottom1, bottom2, etc.
		$pos = strpos($page_content_back, "<?php echo \$bottom");
		$border_suffix = substr($page_content_back, $pos + strlen("<?php echo \$bottom"), 1);
		if ($border_suffix == ";")
			$bottom_border_page = "bottom";
		else
			$bottom_border_page = "bottom" . $border_suffix;
		// Get right boder content.
		$bottom = GetBorderContent($bottom_border_page, $bwb_link);

		// Split mid3 from back.
		$tmp_str = "<?php \$border_area = \"" . $bottom_border_page . "\"; include (\$menu_script_path); ?>";
		$contents_arr = explode($tmp_str, $page_content_back, 2);
		$page_content_mid4 = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		$tmp_str = "<?php echo \$" . $bottom_border_page . "; ?>";
		$page_content_back = str_replace($tmp_str, "", $page_content_back);
		
		// Remove end body and end html from back end.
		$contents_arr = explode("</body>", $page_content_back, 2);
		$page_content_back = $contents_arr[0];
		unset($contents_arr);
		
		// If special, than swap sValue to correct location.
		if ($special == 1)
		{
			if ($border_type == "top")
				$top = $sValue;
			elseif ($border_type == "left")
				$left = $sValue;
			elseif ($border_type == "right")
				$right = $sValue;
			elseif ($border_type == "bottom")
				$bottom = $sValue;
			$sValue = "<br><br><b>Host Test Page for $page_name.</b><br><br>";
		}
		// Construct page with parts.
		echo $page_content_front;
		echo $top;
		$border_area = $top_border_page;
		include ($menu_generator_path);
		echo $page_content_mid1;
		$border_area = $left_border_page;
		include ($menu_generator_path);
		echo $left;
		echo $page_content_mid2;
		echo $sValue;
		echo $page_content_mid3;
		$border_area = $right_border_page;
		include ($menu_generator_path);
		echo $right;
		echo $page_content_mid4;
		echo $bottom;
		$border_area = $bottom_border_page;
		include ($menu_generator_path);
		echo $page_content_back;
	}
	 ///////////////////////////////////////////////////////////////////////////////
	//////// top_bottom_left_right_alt ////////////////////////////////////////////////
	elseif ($template == "top_bottom_left_right_alt")
	{
		// Find left border area and get actual left, i.e. left, left1, left2, etc.
		$pos = strpos($page_content, "<?php echo \$left");
		$border_suffix = substr($page_content, $pos + strlen("<?php echo \$left"), 1);
		if ($border_suffix == ";")
			$left_border_page = "left";
		else
			$left_border_page = "left" . $border_suffix;

		// Get top boder content.
		$left = GetBorderContent($left_border_page, $bwb_link);

		// Split content into front and back.  Front includes everything before top border area content.  Back still needs to be processed.
		$contents_arr = explode("<?php echo \$left", $page_content, 2);
		$page_content_front = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);

		// Remove trailing php end tag from back.
		$page_content_back = substr($page_content_back, 4);
		
		// Remove menu generator from beginning of back.
		$tmp_str = "<?php \$border_area = \"" . $left_border_page . "\"; include (\$menu_script_path); ?>";
		$page_content_back = str_replace($tmp_str, "", $page_content_back);
		
		// Find top border area and get actual top, i.e. top, top1, top2, etc.
		$pos = strpos($page_content_back, "<?php echo \$top");
		$border_suffix = substr($page_content_back, $pos + strlen("<?php echo \$top"), 1);
		if ($border_suffix == ";")
			$top_border_page = "top";
		else
			$top_border_page = "top" . $border_suffix;
			
		// Get left boder content.
		$top = GetBorderContent($top_border_page, $bwb_link);
		
		// Split mid1 from back.
		$tmp_str = "<?php \$border_area = \"" . $top_border_page . "\"; include (\$menu_script_path); ?>";
		$contents_arr = explode($tmp_str, $page_content_back, 2);
		$page_content_mid1 = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		$tmp_str = "<?php echo \$" . $top_border_page . "; ?>";
		$page_content_back = str_replace($tmp_str, "", $page_content_back);

		// Find code before and after content area.
		$contents_arr = explode("echo \$page_content_arr[0];", $page_content_back, 2);
		$page_content_mid2 = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		$page_content_mid2 = str_replace("<?php", "", $page_content_mid2);
		// Note: At this point $page_content_back begins with php end tag which will need to be removed.
		$pos = strpos($page_content_back, "?>");
		if ($pos < 6)
			$page_content_back = substr($page_content_back, $pos + 3);

		// Repeat for part that follows PHP code plugin.
		$contents_arr = explode("echo \$page_content_arr[1];", $page_content_back, 2);
		$page_content_php_code = $contents_arr[0];	// Can't use this since just echoing string.  Maybe later...
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		
		// Find bottom border area and get actual bottom, i.e. bottom, bottom1, bottom2, etc.
		$pos = strpos($page_content_back, "<?php echo \$bottom");
		$border_suffix = substr($page_content_back, $pos + strlen("<?php echo \$bottom"), 1);
		if ($border_suffix == ";")
			$bottom_border_page = "bottom";
		else
			$bottom_border_page = "bottom" . $border_suffix;
		// Get bottom boder content.
		$bottom = GetBorderContent($bottom_border_page, $bwb_link);
		
		// Split mid3 from back.
		$tmp_str = "<?php \$border_area = \"" . $bottom_border_page . "\"; include (\$menu_script_path); ?>";
		$contents_arr = explode($tmp_str, $page_content_back, 2);
		$page_content_mid3 = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		$page_content_mid3 = str_replace("?>", "", $page_content_mid3);
		$tmp_str = "<?php echo \$" . $bottom_border_page . "; ?>";
		$page_content_back = str_replace($tmp_str, "", $page_content_back);
		
		// Find right border area and get actual right, i.e. right, right1, right2, etc.
		$pos = strpos($page_content_back, "<?php echo \$right");
		$border_suffix = substr($page_content_back, $pos + strlen("<?php echo \$right"), 1);
		if ($border_suffix == ";")
			$right_border_page = "right";
		else
			$right_border_page = "right" . $border_suffix;
		// Get right boder content.
		$right = GetBorderContent($right_border_page, $bwb_link);

		// Split mid3 from back.
		$tmp_str = "<?php \$border_area = \"" . $right_border_page . "\"; include (\$menu_script_path); ?>";
		$contents_arr = explode($tmp_str, $page_content_back, 2);
		$page_content_mid4 = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		$tmp_str = "<?php echo \$" . $right_border_page . "; ?>";
		$page_content_back = str_replace($tmp_str, "", $page_content_back);
		
		// Remove end body and end html from back end.
		$contents_arr = explode("</body>", $page_content_back, 2);
		$page_content_back = $contents_arr[0];
		unset($contents_arr);
		
		// If special, than swap sValue to correct location.
		if ($special == 1)
		{
			if ($border_type == "top")
				$top = $sValue;
			elseif ($border_type == "left")
				$left = $sValue;
			elseif ($border_type == "right")
				$right = $sValue;
			elseif ($border_type == "bottom")
				$bottom = $sValue;
			$sValue = "<br><br><b>Host Test Page for $page_name.</b><br><br>";
		}
		// Construct page with parts.
		echo $page_content_front;
		$border_area = $left_border_page;
		include ($menu_generator_path);
		echo $left;
		echo $page_content_mid1;
		echo $top;
		$border_area = $top_border_page;
		include ($menu_generator_path);
		echo $page_content_mid2;
		echo $sValue;
		echo $page_content_mid3;		
		echo $bottom;
		$border_area = $bottom_border_page;
		include ($menu_generator_path);
		echo $page_content_mid4;
		$border_area = $right_border_page;
		include ($menu_generator_path);
		echo $right;
		echo $page_content_back;
	}
	///////////////////////////////////////////////////////////////////////////////
	//////// top_bottom_left_right_alt2 ////////////////////////////////////////////////
	elseif ($template == "top_bottom_left_right_alt2")
	{
		// Find top border area and get actual top, i.e. top, top1, top2, etc.
		$pos = strpos($page_content, "<?php echo \$top");
		$border_suffix = substr($page_content, $pos + strlen("<?php echo \$top"), 1);
		if ($border_suffix == ";")
			$top_border_page = "top";
		else
			$top_border_page = "top" . $border_suffix;

		// Get top boder content.
		$top = GetBorderContent($top_border_page, $bwb_link);

		// Split content into front and back.  Font includes everything before top border area content.  Back still needs to be processed.
		$contents_arr = explode("<?php echo \$top", $page_content, 2);
		$page_content_front = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);

		// Remove trailing php end tag from back.
		$pos = strpos($page_content_back, "?>");
		if ($pos < 6)
			$page_content_back = substr($page_content_back, $pos + 3);
		
		// Remove menu generator from beginning of back.
		$tmp_str = "<?php \$border_area = \"" . $top_border_page . "\"; include (\$menu_script_path); ?>";
		$page_content_back = str_replace($tmp_str, "", $page_content_back);
		
		// Find left border area and get actual left, i.e. left, left1, left2, etc.
		$pos = strpos($page_content_back, "<?php echo \$left");
		$border_suffix = substr($page_content_back, $pos + strlen("<?php echo \$left"), 1);
		if ($border_suffix == ";")
			$left_border_page = "left";
		else
			$left_border_page = "left" . $border_suffix;
			
		// Get left boder content.
		$left = GetBorderContent($left_border_page, $bwb_link);
		
		// Split mid1 from back.
		$tmp_str = "<?php \$border_area = \"" . $left_border_page . "\"; include (\$menu_script_path); ?>";
		$contents_arr = explode($tmp_str, $page_content_back, 2);
		$page_content_mid1 = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		$tmp_str = "<?php echo \$" . $left_border_page . "; ?>";
		$page_content_back = str_replace($tmp_str, "", $page_content_back);

		// Find code before and after content area.
		$contents_arr = explode("echo \$page_content_arr[0];", $page_content_back, 2);
		$page_content_mid2 = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		$page_content_mid2 = str_replace("<?php", "", $page_content_mid2);
		// Note: At this point $page_content_back begins with php end tag which will need to be removed.
		$pos = strpos($page_content_back, "?>");
		if ($pos < 6)
			$page_content_back = substr($page_content_back, $pos + 3);

		// Repeat for part that follows PHP code plugin.
		$contents_arr = explode("echo \$page_content_arr[1];", $page_content_back, 2);
		$page_content_php_code = $contents_arr[0];	// Can't use this since just echoing string.  Maybe later...
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		
		// Find bottom border area and get actual bottom, i.e. bottom, bottom1, bottom2, etc.
		$pos = strpos($page_content_back, "<?php echo \$bottom");
		$border_suffix = substr($page_content_back, $pos + strlen("<?php echo \$bottom"), 1);
		if ($border_suffix == ";")
			$bottom_border_page = "bottom";
		else
			$bottom_border_page = "bottom" . $border_suffix;
		// Get bottom border content.
		$bottom = GetBorderContent($bottom_border_page, $bwb_link);
		
		// Split mid3 from back.
		$tmp_str = "<?php \$border_area = \"" . $bottom_border_page . "\"; include (\$menu_script_path); ?>";
		$contents_arr = explode($tmp_str, $page_content_back, 2);
		$page_content_mid3 = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		$page_content_mid3 = str_replace("?>", "", $page_content_mid3);
		$tmp_str = "<?php echo \$" . $bottom_border_page . "; ?>";
		$page_content_back = str_replace($tmp_str, "", $page_content_back);
		
		// Find right border area and get actual right, i.e. right, right1, right2, etc.
		$pos = strpos($page_content_back, "<?php echo \$right");
		$border_suffix = substr($page_content_back, $pos + strlen("<?php echo \$right"), 1);
		if ($border_suffix == ";")
			$right_border_page = "right";
		else
			$right_border_page = "right" . $border_suffix;
		// Get right border content.
		$right = GetBorderContent($right_border_page, $bwb_link);

		// Split mid3 from back.
		$tmp_str = "<?php \$border_area = \"" . $right_border_page . "\"; include (\$menu_script_path); ?>";
		$contents_arr = explode($tmp_str, $page_content_back, 2);
		$page_content_mid4 = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		$tmp_str = "<?php echo \$" . $right_border_page . "; ?>";
		$page_content_back = str_replace($tmp_str, "", $page_content_back);
		
		// Remove end body and end html from back end.
		$contents_arr = explode("</body>", $page_content_back, 2);
		$page_content_back = $contents_arr[0];
		unset($contents_arr);
		
		// If special, than swap sValue to correct location.
		if ($special == 1)
		{
			if ($border_type == "top")
				$top = $sValue;
			elseif ($border_type == "left")
				$left = $sValue;
			elseif ($border_type == "right")
				$right = $sValue;
			elseif ($border_type == "bottom")
				$bottom = $sValue;
			$sValue = "<br><br><b>Host Test Page for $page_name.</b><br><br>";
		}
		// Construct page with parts.
		echo $page_content_front;
		echo $top;
		$border_area = $top_border_page;
		include ($menu_generator_path);
		echo $page_content_mid1;
		$border_area = $left_border_page;
		include ($menu_generator_path);
		echo $left;
		echo $page_content_mid2;
		echo $sValue;
		echo $page_content_mid3;
		echo $bottom;
		$border_area = $bottom_border_page;
		include ($menu_generator_path);
		echo $page_content_mid4;
		$border_area = $right_border_page;
		include ($menu_generator_path);
		echo $right;
		echo $page_content_back;
	}
	///////////////////////////////////////////////////////////////////////////////
	//////// top ////////////////////////////////////////////////
	if ($template == "top")
	{
		// Find top border area and get actual top, i.e. top, top1, top2, etc.
		$pos = strpos($page_content, "<?php echo \$top");
		$border_suffix = substr($page_content, $pos + strlen("<?php echo \$top"), 1);
		if ($border_suffix == ";")
			$top_border_page = "top";
		else
			$top_border_page = "top" . $border_suffix;

		// Get top boder content.
		$top = GetBorderContent($top_border_page, $bwb_link);

		// Split content into front and back.  Font includes everything before top border area content.  Back still needs to be processed.
		$contents_arr = explode("<?php echo \$top", $page_content, 2);
		$page_content_front = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);

		// Remove trailing php end tag from back.
		$page_content_back = substr($page_content_back, 4);
		
		// Remove menu generator from beginning of back.
		$tmp_str = "<?php \$border_area = \"" . $top_border_page . "\"; include (\$menu_script_path); ?>";
		$page_content_back = str_replace($tmp_str, "", $page_content_back);
		
		// Find code before and after content area.
		$contents_arr = explode("echo \$page_content_arr[0];", $page_content_back, 2);
		$page_content_mid1 = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);

		// Repeat for part that follows PHP code plugin.
		$contents_arr = explode("echo \$page_content_arr[1];", $page_content_back, 2);
		$page_content_php_code = $contents_arr[0];	// Can't use this since just echoing string.  Maybe later...
		$page_content_back = $contents_arr[1];
		unset($contents_arr);

		// Remove trailing php end tag from back.
		$pos = strpos($page_content_back, "?>");
		if ($pos < 6)
			$page_content_back = substr($page_content_back, $pos + 3);
	
		// Remove menu generator from beginning of back.
		$page_content_mid1 = str_replace($tmp_str, "", $page_content_mid1);
		$page_content_mid1 = str_replace("<?php", "", $page_content_mid1);
		
		// Remove end body and end html from back end.
		$contents_arr = explode("</body>", $page_content_back, 2);
		$page_content_back = $contents_arr[0];
		unset($contents_arr);
		
		// If special, than swap sValue to correct location.
		if ($special == 1)
		{
			if ($border_type == "top")
				$top = $sValue;
			elseif ($border_type == "left")
				$left = $sValue;
			elseif ($border_type == "right")
				$right = $sValue;
			elseif ($border_type == "bottom")
				$bottom = $sValue;
			$sValue = "<br><br><b>Host Test Page for $page_name.</b><br><br>";
		}
		// Construct page with parts.
		echo $page_content_front;
		echo $top;
		$border_area = $top_border_page;
		include ($menu_generator_path);
		echo $page_content_mid1;
		echo $sValue;
		echo $page_content_back;
	}
	///////////////////////////////////////////////////////////////////////////////
	//////// top_bottom ////////////////////////////////////////////////
	if ($template == "top_bottom")
	{
		// Find top border area and get actual top, i.e. top, top1, top2, etc.
		$pos = strpos($page_content, "<?php echo \$top");
		$border_suffix = substr($page_content, $pos + strlen("<?php echo \$top"), 1);
		if ($border_suffix == ";")
			$top_border_page = "top";
		else
			$top_border_page = "top" . $border_suffix;

		// Get top boder content.
		$top = GetBorderContent($top_border_page, $bwb_link);

		// Split content into front and back.  Font includes everything before top border area content.  Back still needs to be processed.
		$contents_arr = explode("<?php echo \$top", $page_content, 2);
		$page_content_front = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);

		// Remove trailing php end tag from back.
		$pos = strpos($page_content_back, "?>");
		if ($pos < 6)
			$page_content_back = substr($page_content_back, $pos + 3);
		
		// Remove menu generator from beginning of back.
		$tmp_str = "<?php \$border_area = \"" . $top_border_page . "\"; include (\$menu_script_path); ?>";
		$page_content_back = str_replace($tmp_str, "", $page_content_back);

		// Find code before and after content area.
		$contents_arr = explode("echo \$page_content_arr[0];", $page_content_back, 2);
		$page_content_mid1 = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		$page_content_mid1 = str_replace("<?php", "", $page_content_mid1);
		// Note: At this point $page_content_back begins with php end tag which will need to be removed.
		// Remove trailing php end tag from back.
		$pos = strpos($page_content_back, "?>");
		if ($pos < 6)
			$page_content_back = substr($page_content_back, $pos + 3);

		// Repeat for part that follows PHP code plugin.
		$contents_arr = explode("echo \$page_content_arr[1];", $page_content_back, 2);
		$page_content_php_code = $contents_arr[0];	// Can't use this since just echoing string.  Maybe later...
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		
		// Remove trailing php end tag from back.
		$pos = strpos($page_content_back, "?>");
		if ($pos < 6)
			$page_content_back = substr($page_content_back, $pos + 3);

		
		// Find bottom border area and get actual bottom, i.e. bottom, bottom1, bottom2, etc.
		$pos = strpos($page_content_back, "<?php echo \$bottom");
		$border_suffix = substr($page_content_back, $pos + strlen("<?php echo \$bottom"), 1);
		if ($border_suffix == ";")
			$bottom_border_page = "bottom";
		else
			$bottom_border_page = "bottom" . $border_suffix;
		// Get right boder content.
		$bottom = GetBorderContent($bottom_border_page, $bwb_link);

		// Split mid3 from back.
		$tmp_str = "<?php \$border_area = \"" . $bottom_border_page . "\"; include (\$menu_script_path); ?>";
		$contents_arr = explode($tmp_str, $page_content_back, 2);
		$page_content_mid2 = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		$tmp_str = "<?php echo \$" . $bottom_border_page . "; ?>";
		$page_content_back = str_replace($tmp_str, "", $page_content_back);
		
		// Remove end body and end html from back end.
		$contents_arr = explode("</body>", $page_content_back, 2);
		$page_content_back = $contents_arr[0];
		unset($contents_arr);
		
		// If special, than swap sValue to correct location.
		if ($special == 1)
		{
			if ($border_type == "top")
				$top = $sValue;
			elseif ($border_type == "left")
				$left = $sValue;
			elseif ($border_type == "right")
				$right = $sValue;
			elseif ($border_type == "bottom")
				$bottom = $sValue;
			$sValue = "<br><br><b>Host Test Page for $page_name.</b><br><br>";
		}
		// Construct page with parts.
		echo $page_content_front;
		echo $top;
		$border_area = $top_border_page;
		include ($menu_generator_path);
		echo $sValue;
		echo $page_content_mid2;
		echo $bottom;
		$border_area = $bottom_border_page;
		include ($menu_generator_path);
		echo $page_content_back;
	}
	///////////////////////////////////////////////////////////////////////////////
	//////// top_bottom_left ////////////////////////////////////////////////
	if ($template == "top_bottom_left")
	{
		// Find top border area and get actual top, i.e. top, top1, top2, etc.
		$pos = strpos($page_content, "<?php echo \$top");
		$border_suffix = substr($page_content, $pos + strlen("<?php echo \$top"), 1);
		if ($border_suffix == ";")
			$top_border_page = "top";
		else
			$top_border_page = "top" . $border_suffix;

		// Get top boder content.
		$top = GetBorderContent($top_border_page, $bwb_link);

		// Split content into front and back.  Font includes everything before top border area content.  Back still needs to be processed.
		$contents_arr = explode("<?php echo \$top", $page_content, 2);
		$page_content_front = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);

		// Remove trailing php end tag from back.
		$pos = strpos($page_content_back, "?>");
		if ($pos < 6)
			$page_content_back = substr($page_content_back, $pos + 3);
		
		// Remove menu generator from beginning of back.
		$tmp_str = "<?php \$border_area = \"" . $top_border_page . "\"; include (\$menu_script_path); ?>";
		$page_content_back = str_replace($tmp_str, "", $page_content_back);
		
		// Find left border area and get actual left, i.e. left, left1, left2, etc.
		$pos = strpos($page_content_back, "<?php echo \$left");
		$border_suffix = substr($page_content_back, $pos + strlen("<?php echo \$left"), 1);
		if ($border_suffix == ";")
			$left_border_page = "left";
		else
			$left_border_page = "left" . $border_suffix;
			
		// Get left boder content.
		$left = GetBorderContent($left_border_page, $bwb_link);
		
		// Split mid1 from back.
		$tmp_str = "<?php \$border_area = \"" . $left_border_page . "\"; include (\$menu_script_path); ?>";
		$contents_arr = explode($tmp_str, $page_content_back, 2);
		$page_content_mid1 = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		$tmp_str = "<?php echo \$" . $left_border_page . "; ?>";
		$page_content_back = str_replace($tmp_str, "", $page_content_back);

		// Find code before and after content area.
		$contents_arr = explode("echo \$page_content_arr[0];", $page_content_back, 2);
		$page_content_mid2 = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		$page_content_mid2 = str_replace("<?php", "", $page_content_mid2);

		// Note: At this point $page_content_back begins with php end tag which will need to be removed.
		// Remove trailing php end tag from back.
		$pos = strpos($page_content_back, "?>");
		if ($pos < 6)
			$page_content_back = substr($page_content_back, $pos + 3);

		// Repeat for part that follows PHP code plugin.
		$contents_arr = explode("echo \$page_content_arr[1];", $page_content_back, 2);
		$page_content_php_code = $contents_arr[0];	// Can't use this since just echoing string.  Maybe later...
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		// Remove trailing php end tag from back.
		$pos = strpos($page_content_back, "?>");
		if ($pos < 6)
			$page_content_back = substr($page_content_back, $pos + 3);
		
		// Find bottom border area and get actual bottom, i.e. bottom, bottom1, bottom2, etc.
		$pos = strpos($page_content_back, "<?php echo \$bottom");
		$border_suffix = substr($page_content_back, $pos + strlen("<?php echo \$bottom"), 1);
		if ($border_suffix == ";")
			$bottom_border_page = "bottom";
		else
			$bottom_border_page = "bottom" . $border_suffix;
		// Get right boder content.
		$bottom = GetBorderContent($bottom_border_page, $bwb_link);

		// Split mid3 from back.
		$tmp_str = "<?php \$border_area = \"" . $bottom_border_page . "\"; include (\$menu_script_path); ?>";
		$contents_arr = explode($tmp_str, $page_content_back, 2);
		$page_content_mid3 = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		$tmp_str = "<?php echo \$" . $bottom_border_page . "; ?>";
		$page_content_back = str_replace($tmp_str, "", $page_content_back);
		
		// Remove end body and end html from back end.
		$contents_arr = explode("</body>", $page_content_back, 2);
		$page_content_back = $contents_arr[0];
		unset($contents_arr);
		
		// If special, than swap sValue to correct location.
		if ($special == 1)
		{
			if ($border_type == "top")
				$top = $sValue;
			elseif ($border_type == "left")
				$left = $sValue;
			elseif ($border_type == "right")
				$right = $sValue;
			elseif ($border_type == "bottom")
				$bottom = $sValue;
			$sValue = "<br><br><b>Host Test Page for $page_name.</b><br><br>";
		}
		// Construct page with parts.
		echo $page_content_front;
		echo $top;
		$border_area = $top_border_page;
		include ($menu_generator_path);
		echo $page_content_mid1;
		$border_area = $left_border_page;
		include ($menu_generator_path);
		echo $left;
		echo $page_content_mid2;
		echo $sValue;
		echo $page_content_mid3;
		echo $bottom;
		$border_area = $bottom_border_page;
		include ($menu_generator_path);
		echo $page_content_back;
	}
	///////////////////////////////////////////////////////////////////////////////
	//////// top_left ////////////////////////////////////////////////
	if ($template == "top_left")
	{
		// Find top border area and get actual top, i.e. top, top1, top2, etc.
		$pos = strpos($page_content, "<?php echo \$top");
		$border_suffix = substr($page_content, $pos + strlen("<?php echo \$top"), 1);
		if ($border_suffix == ";")
			$top_border_page = "top";
		else
			$top_border_page = "top" . $border_suffix;

		// Get top boder content.
		$top = GetBorderContent($top_border_page, $bwb_link);

		// Split content into front and back.  Font includes everything before top border area content.  Back still needs to be processed.
		$contents_arr = explode("<?php echo \$top", $page_content, 2);
		$page_content_front = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);

		// Remove trailing php end tag from back.
		$pos = strpos($page_content_back, "?>");
		if ($pos < 6)
			$page_content_back = substr($page_content_back, $pos + 3);
		
		// Remove menu generator from beginning of back.
		$tmp_str = "<?php \$border_area = \"" . $top_border_page . "\"; include (\$menu_script_path); ?>";
		$page_content_back = str_replace($tmp_str, "", $page_content_back);
		
		// Find left border area and get actual left, i.e. left, left1, left2, etc.
		$pos = strpos($page_content_back, "<?php echo \$left");
		$border_suffix = substr($page_content_back, $pos + strlen("<?php echo \$left"), 1);
		if ($border_suffix == ";")
			$left_border_page = "left";
		else
			$left_border_page = "left" . $border_suffix;
			
		// Get left boder content.
		$left = GetBorderContent($left_border_page, $bwb_link);
		
		// Split mid1 from back.
		$tmp_str = "<?php \$border_area = \"" . $left_border_page . "\"; include (\$menu_script_path); ?>";
		$contents_arr = explode($tmp_str, $page_content_back, 2);
		$page_content_mid1 = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		$tmp_str = "<?php echo \$" . $left_border_page . "; ?>";
		$page_content_back = str_replace($tmp_str, "", $page_content_back);

		// Find code before and after content area.
		$contents_arr = explode("echo \$page_content_arr[0];", $page_content_back, 2);
		$page_content_mid2 = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		$page_content_mid2 = str_replace("<?php", "", $page_content_mid2);
		// Note: At this point $page_content_back begins with php end tag which will need to be removed.
		// Remove trailing php end tag from back.
		$pos = strpos($page_content_back, "?>");
		if ($pos < 6)
			$page_content_back = substr($page_content_back, $pos + 3);

		// Repeat for part that follows PHP code plugin.
		$contents_arr = explode("echo \$page_content_arr[1];", $page_content_back, 2);
		$page_content_php_code = $contents_arr[0];	// Can't use this since just echoing string.  Maybe later...
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		// Remove trailing php end tag from back.
		$pos = strpos($page_content_back, "?>");
		if ($pos < 6)
			$page_content_back = substr($page_content_back, $pos + 3);
		
		// Remove end body and end html from back end.
		$contents_arr = explode("</body>", $page_content_back, 2);
		$page_content_back = $contents_arr[0];
		unset($contents_arr);
		
		// If special, than swap sValue to correct location.
		if ($special == 1)
		{
			if ($border_type == "top")
				$top = $sValue;
			elseif ($border_type == "left")
				$left = $sValue;
			elseif ($border_type == "right")
				$right = $sValue;
			elseif ($border_type == "bottom")
				$bottom = $sValue;
			$sValue = "<br><br><b>Host Test Page for $page_name.</b><br><br>";
		}
		// Construct page with parts.
		echo $page_content_front;
		echo $top;
		$border_area = $top_border_page;
		include ($menu_generator_path);
		echo $page_content_mid1;
		$border_area = $left_border_page;
		include ($menu_generator_path);
		echo $left;
		echo $page_content_mid2;
		echo $sValue;
		echo $page_content_back;
	}
	 ///////////////////////////////////////////////////////////////////////////////
	//////// top_left_right ////////////////////////////////////////////////
	if ($template == "top_left_right")
	{
		// Find top border area and get actual top, i.e. top, top1, top2, etc.
		$pos = strpos($page_content, "<?php echo \$top");
		$border_suffix = substr($page_content, $pos + strlen("<?php echo \$top"), 1);
		if ($border_suffix == ";")
			$top_border_page = "top";
		else
			$top_border_page = "top" . $border_suffix;

		// Get top boder content.
		$top = GetBorderContent($top_border_page, $bwb_link);

		// Split content into front and back.  Font includes everything before top border area content.  Back still needs to be processed.
		$contents_arr = explode("<?php echo \$top", $page_content, 2);
		$page_content_front = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);

		// Remove trailing php end tag from beginning of back.
		$pos = strpos($page_content_back, "?>");
		if ($pos < 6)
			$page_content_back = substr($page_content_back, $pos + 3);
		
		// Remove menu generator from beginning of back.
		$tmp_str = "<?php \$border_area = \"" . $top_border_page . "\"; include (\$menu_script_path); ?>";
		$page_content_back = str_replace($tmp_str, "", $page_content_back);
		
		// Find left border area and get actual left, i.e. left, left1, left2, etc.
		$pos = strpos($page_content_back, "<?php echo \$left");
		$border_suffix = substr($page_content_back, $pos + strlen("<?php echo \$left"), 1);
		if ($border_suffix == ";")
			$left_border_page = "left";
		else
			$left_border_page = "left" . $border_suffix;
			
		// Get left boder content.
		$left = GetBorderContent($left_border_page, $bwb_link);
		
		// Split mid1 from back.
		$tmp_str = "<?php \$border_area = \"" . $left_border_page . "\"; include (\$menu_script_path); ?>";
		$contents_arr = explode($tmp_str, $page_content_back, 2);
		$page_content_mid1 = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		$tmp_str = "<?php echo \$" . $left_border_page . "; ?>";
		$page_content_back = str_replace($tmp_str, "", $page_content_back);

		// Find code before and after content area.
		$contents_arr = explode("echo \$page_content_arr[0];", $page_content_back, 2);
		$page_content_mid2 = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		$page_content_mid2 = str_replace("<?php", "", $page_content_mid2);
		// Note: At this point $page_content_back begins with php end tag which will need to be removed.
		$pos = strpos($page_content_back, "?>");
		if ($pos < 6)
			$page_content_back = substr($page_content_back, $pos + 3);

		// Repeat for part that follows PHP code plugin.
		$contents_arr = explode("echo \$page_content_arr[1];", $page_content_back, 2);
		$page_content_php_code = $contents_arr[0];	// Can't use this since just echoing string.  Maybe later...
		$page_content_back = $contents_arr[1];
		unset($contents_arr);

		
		// Find right border area and get actual right, i.e. right, right1, right2, etc.
		$pos = strpos($page_content_back, "<?php echo \$right");
		$border_suffix = substr($page_content_back, $pos + strlen("<?php echo \$right"), 1);
		if ($border_suffix == ";")
			$right_border_page = "right";
		else
			$right_border_page = "right" . $border_suffix;
		// Get right boder content.
		$right = GetBorderContent($right_border_page, $bwb_link);
		
		// Split mid3 from back.
		$tmp_str = "<?php \$border_area = \"" . $right_border_page . "\"; include (\$menu_script_path); ?>";
		$contents_arr = explode($tmp_str, $page_content_back, 2);
		$page_content_mid3 = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		$page_content_mid3 = str_replace("?>", "", $page_content_mid3);
		$tmp_str = "<?php echo \$" . $right_border_page . "; ?>";
		$page_content_back = str_replace($tmp_str, "", $page_content_back);
		
		// Remove end body and end html from back end.
		$contents_arr = explode("</body>", $page_content_back, 2);
		$page_content_back = $contents_arr[0];
		unset($contents_arr);
		
		// If special, than swap sValue to correct location.
		if ($special == 1)
		{
			if ($border_type == "top")
				$top = $sValue;
			elseif ($border_type == "left")
				$left = $sValue;
			elseif ($border_type == "right")
				$right = $sValue;
			elseif ($border_type == "bottom")
				$bottom = $sValue;
			$sValue = "<br><br><b>Host Test Page for $page_name.</b><br><br>";
		}
		// Construct page with parts.
		echo $page_content_front;
		echo $top;
		$border_area = $top_border_page;
		include ($menu_generator_path);
		echo $page_content_mid1;
		$border_area = $left_border_page;
		include ($menu_generator_path);
		echo $left;
		echo $page_content_mid2;
		echo $sValue;
		echo $page_content_mid3;
		$border_area = $right_border_page;
		include ($menu_generator_path);
		echo $right;
		echo $page_content_back;
	}
	 ///////////////////////////////////////////////////////////////////////////////
	//////// left ////////////////////////////////////////////////
	if ($template == "left")
	{
		// Find left border area and get actual left, i.e. left, left1, left2, etc.
		$pos = strpos($page_content, "<?php echo \$left");
		$border_suffix = substr($page_content, $pos + strlen("<?php echo \$left"), 1);
		if ($border_suffix == ";")
			$left_border_page = "left";
		else
			$left_border_page = "left" . $border_suffix;
			
		// Get left boder content.
		$left = GetBorderContent($left_border_page, $bwb_link);
		
		// Split mid1 from back.
		$tmp_str = "<?php \$border_area = \"" . $left_border_page . "\"; include (\$menu_script_path); ?>";
		$contents_arr = explode($tmp_str, $page_content, 2);
		$page_content_front = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		$tmp_str = "<?php echo \$" . $left_border_page . "; ?>";
		$page_content_back = str_replace($tmp_str, "", $page_content_back);

		// Find code before and after content area.
		$contents_arr = explode("echo \$page_content_arr[0];", $page_content_back, 2);
		$page_content_mid1 = $contents_arr[0];
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		$page_content_mid1 = str_replace("<?php", "", $page_content_mid1);
		// Note: At this point $page_content_back begins with php end tag which will need to be removed.
		$pos = strpos($page_content_back, "?>");
		if ($pos < 6)
			$page_content_back = substr($page_content_back, $pos + 3);

		// Repeat for part that follows PHP code plugin.
		$contents_arr = explode("echo \$page_content_arr[1];", $page_content_back, 2);
		$page_content_php_code = $contents_arr[0];	// Can't use this since just echoing string.  Maybe later...
		$page_content_back = $contents_arr[1];
		unset($contents_arr);
		
		// Remove trailing php end tag from beginning of back.
		$page_content_back = substr($page_content_back, 4);
		
		// Remove end body and end html from back end.
		$contents_arr = explode("</body>", $page_content_back, 2);
		$page_content_back = $contents_arr[0];
		unset($contents_arr);
		
		// If special, than swap sValue to correct location.
		if ($special == 1)
		{
			if ($border_type == "top")
				$top = $sValue;
			elseif ($border_type == "left")
				$left = $sValue;
			elseif ($border_type == "right")
				$right = $sValue;
			elseif ($border_type == "bottom")
				$bottom = $sValue;
			$sValue = "<br><br><b>Host Test Page for $page_name.</b><br><br>";
		}
		// Construct page with parts.
		echo $page_content_front;
		$border_area = $left_border_page;
		include ($menu_generator_path);
		echo $left;
		echo $page_content_mid1;
		echo $sValue;
		echo $page_content_back;
	}
	///////////////////////////////////////////////////////////////////////////////
	//////// basic ////////////////////////////////////////////////
	elseif ($template == "basic")
		echo $sValue;

?>

	<hr>
	<table width="80">
	  <tr>
	  	  <td align="center">
		  <form action="save_page.php" method="post" name="frmSaveAndEditPage">
		  <input type="submit" value="Save and go back to Editor" name="update_from_preview">
		  <?php
		  	echo "<input type='hidden' name='page_name' value='$page_name'>\n";
			echo "<input type='hidden' name='special' value='$special'>\n";
			echo "<input type='hidden' name='mode' value='$mode'>\n";
			echo "<input type='hidden' name='blog_id' value='$blog_id'>\n";
		  ?>
		  </form>
		  </td>
		  <td align="center">
		   <form action="save_page.php" method="post" name="frmSavePage">
		  	<input type="submit" value="Publish and go back to Main Menu" name="update_and_return_to_main">
			<?php
				echo "<input type='hidden' name='page_name' value='$page_name'>\n";
				echo "<input type='hidden' name='special' value='$special'>\n";
				echo "<input type='hidden' name='mode' value='$mode'>\n";
				echo "<input type='hidden' name='blog_id' value='$blog_id'>\n";
		  	?>
		   </form>
		  </td>
		  <td align="center">
		  <form action="edit_page.php" method="post" name="frmGoBackToEditPageWoSaving">
		  <input type="submit" value="Discard and go back to Editor" name="Back">
          <?php
				echo "<input type='hidden' name='page_name' value='$page_name'>\n";
				echo "<input type='hidden' name='special' value='$special'>\n";
				echo "<input type='hidden' name='mode' value='$mode'>\n";
				echo "<input type='hidden' name='preview' value='1'>\n";
				echo "<input type='hidden' name='blog_id' value='$blog_id'>\n";
		  	?>
		  </form>
		  </td>
          <td align="center" valign="top">
		  <div id="help_button_sm" onClick="OpenHelpWindow();">
            &nbsp;
          </div>
		  </td>
	  </tr>
	</table>
	
</body>
</html>

<?php
	exit;
	
	function GetBorderContent($border_page, $bwb_link)
	{
		$query = "SELECT page_content FROM " . BWB_TABLE_PREFIX . "page_data_special WHERE page_name='$border_page'";
		$result = mysql_query($query, $bwb_link);
		$row = mysql_fetch_array($result);
		$border_content = stripslashes($row["page_content"]);
		return($border_content);
	}
?>